Subject: bug#36697: 27.0.50; gnus: some articles with score 0 are killed

From: Sam Steingold <[email-masked]>
Date: Tue, 24 Sep 2019 14:24:45 -0400

> * Lars Ingebrigtsen <[email-masked]> [2019-09-24 09:34:37 +0200]:
>
> Sam Steingold <[email-masked]> writes:
>
>>>> ("gwene.ru.org.bash" 400 nil s) [all] -> ~/.gnus-kill/all
>>>> ("[[:multibyte:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all
>>>> ("[[:nonascii:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all
>
> [...]
>
>>> (("subject"
>>>   ("[[:multibyte:]]\\{5\\}" -200 nil r)
>>>   ("[[:nonascii:]]\\{5\\}" -200 nil r))
>>>  (group
>>>   ("gwene.ru.org.bash" 400 nil s)))
>
> [...]
>
>> So what is the output of `V t` for you?
>> Why are articles of score 0 marked with "Y-"?
>
> Hm, I'm just getting:
>
> ("[[:nonascii:]]\\{5\\}" -200 nil r) [nntp+news.SCORE] -> ~/News/nntp+news.SCORE
> ("[[:multibyte:]]\\{5\\}" -200 nil r) [nntp+news.SCORE] -> ~/News/nntp+news.SCORE
>
> What does your rule that matches on the group name look like in the
> score file?

;;; from: http://www.faqs.org/faqs/gnus-faq/
;;; Subject: Q2.4 Any good suggestions on stuff for an all.SCORE file?

(("subject"
  ("[^a-z]\\{50\\}" -100 nil R)
  ("[^a-z]\\{100\\}" -300 nil R)
  ("[^a-z]\\{150\\}" -1000 nil R)
  ;; $$$ Make Money $$$ (Try work)
  ;; ("$$$" -1 nil s)
  ;; I'm important! And I have exclamation marks to prove it!
  ;; ("!" -1 nil s)
  ("[ \\t]+[0-9]\\{5,\\}$" -500 nil r)  ; 5+ digits at the EOL
  ("[[:nonascii:]]\\{5\\}" -200 nil r)  ; 5 non-ASCII in a row
  ("[[:multibyte:]]\\{5\\}" -200 nil r) ; 5 multibyte in a row
  ("please ignore" -400 nil s)
  ("unsubscribe" -400 nil s)
  ("test" -400 nil e))
 ("references"
  ;; new thread
  ;; ("" 1000 nil e)               ; exact match
  ;; gnus manual -- Followups To Yourself
  ("<lz[0-9a-z]+\\.fsf@gnu\\.org>" 1000 nil r)
  ("<lz[0-9a-z]+\\.fsf@gnu\\.org>$" 1000 nil r))
 ("xref"
;; The more groups it is crossposted too, the less likely it is to
;; be relevant to the group you are reading now.
;  (":.*:" -10 nil r)
;  (":.*:.*:" -10 nil r)
;  (":.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:" -10 nil r)
;  (":.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:.*:" -10 nil r))
  ("gwene.ru.org.bash" 400 nil s))) ; counteract the non-ASCII/multibyte above
("gwene.ru.org.bash" 400 nil s) [all] -> ~/.gnus-kill/all
("[[:multibyte:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all
("[[:nonascii:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all

Total score: 0

Quick help:

Type `e' to edit score file corresponding to the score rule on current line,
`f' to format (pretty print) the score file and edit it,
`t' toggle to truncate long lines in this buffer,
`q' to quit, `k' to kill score trace buffer.

The first sexp on each line is the score rule, followed by the file name of
the score file and its full name, including the directory.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
http://www.memritv.org http://www.dhimmitude.org http://iris.org.il
debugging, v: Removing the needles from the haystack.